Bug 1123923 - [RFE] katello-installer --katello-proxy-* configuration should be derived from /etc/rhsm/rhsm.conf
Summary: [RFE] katello-installer --katello-proxy-* configuration should be derived fro...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.3
Hardware: Unspecified
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-28 15:56 UTC by Sebastian Hetze
Modified: 2019-07-11 08:05 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 21:05:11 UTC


Attachments (Terms of Use)

Description Sebastian Hetze 2014-07-28 15:56:19 UTC
If the Satellite-6 server is running behind a firewall that requires proxy configuration for RHN/CDN access, this configuration is already present for the subscription-manager config in /etc/rhsm/rhsm.conf

If present, katello-installer should use these settings as default for setting up katello and pulp.

An additional katello-installer parameter "--ignore-rhsm-proxy-config" should be addet to override this behaviour.

Comment 1 RHEL Product and Program Management 2014-07-28 16:04:14 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 6 Karl Abbott 2015-01-27 12:59:42 UTC
Now that we are post-GA of Satellite 6, can we get a re-review for when this may be added to the product?

Cheers,
Karl

Comment 7 Xixi 2015-01-27 17:12:57 UTC
(In reply to Karl J. Abbott from comment #6)
> Now that we are post-GA of Satellite 6, can we get a re-review for when this
> may be added to the product?

Can do Karl - do you have a customer impact statement to help prioritize this?

Comment 13 Todd Warner 2017-02-09 21:05:11 UTC
The age and prioritization of this request ensures that it was not something we could address in any meaningful timeframe. Closing this bugzilla. If you feel that we made this decision in error or this issue is particularly important to you, please feel free to reopen it.

-todd warner, PM, Satellite


Note You need to log in before you can comment on or make changes to this bug.